Package org.apache.storm.streams

## Class StreamUtil

- java.lang.Object
- - org.apache.storm.streams.StreamUtil

-     public class StreamUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> List<T>` | `getChildren​(org.apache.storm.shade.org.jgrapht.DirectedGraph<org.apache.storm.streams.Node,​org.apache.storm.streams.Edge> graph, org.apache.storm.streams.Node node)` |
    `static <T> List<T>` | `getParents​(org.apache.storm.shade.org.jgrapht.DirectedGraph<org.apache.storm.streams.Node,​org.apache.storm.streams.Edge> graph, org.apache.storm.streams.Node node)` |
    `static Fields` | `getPunctuationFields()` |
    `static String` | `getPunctuationStream​(String stream)` |
    `static String` | `getSourceStream​(String stream)` |
    `static boolean` | `isPunctuation​(Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamUtil

          public StreamUtil()

  - ### Method Detail

    - #### getParents

          public static <T> List<T> getParents​(org.apache.storm.shade.org.jgrapht.DirectedGraph<org.apache.storm.streams.Node,​org.apache.storm.streams.Edge> graph,
                                               org.apache.storm.streams.Node node)

    - #### getChildren

          public static <T> List<T> getChildren​(org.apache.storm.shade.org.jgrapht.DirectedGraph<org.apache.storm.streams.Node,​org.apache.storm.streams.Edge> graph,
                                                org.apache.storm.streams.Node node)

    - #### isPunctuation

          public static boolean isPunctuation​(Object value)

    - #### getPunctuationStream

          public static String getPunctuationStream​(String stream)

    - #### getSourceStream

          public static String getSourceStream​(String stream)

    - #### getPunctuationFields

          public static Fields getPunctuationFields()